/*

  Copyright (c) 2003-2004 Linus Brolin.

    This software is provided 'as-is', without any express or implied
    warranty.  In no event will the authors be held liable for any damages
    arising from the use of this software.

    Permission is granted to anyone to use this software for any purpose,
    including commercial applications, and to alter it and redistribute it
    freely, subject to the following restrictions:

    1. The origin of this software must not be misrepresented; you must not
       claim that you wrote the original software. If you use this software
       in a product, an acknowledgment in the product documentation would be
       appreciated but is not required.
    2. Altered source versions must be plainly marked as such, and must not be
       misrepresented as being the original software.
    3. This notice may not be removed or altered from any source distribution.


  Linus Brolin
  linus.b@home.se

*/

/*-----------------------------------------------------------------------------
  about.m

  by Plague (Linus Brolin)
-----------------------------------------------------------------------------*/

#include <lib/std.mi>

Global Text text1, text1a, text2, text2a, text3, text3a;
Global Int line;
Global String version, month, day, year;
Global Timer timer1;

System.onScriptUnloading() {
  timer1.stop();
  delete timer1;
}

System.onScriptLoaded() {
  Group pgroup = getScriptGroup();
  text1 = pgroup.findObject("text1");
  text1a = pgroup.findObject("text1a");
  text2 = pgroup.findObject("text2");
  text2a = pgroup.findObject("text2a");
  text3 = pgroup.findObject("text3");
  text3a = pgroup.findObject("text3a");

  timer1 = new Timer;
  timer1.setDelay(1000);

  String param = getParam();
  version = getToken(param, ",", 0);
  month = getToken(param, ",", 1);
  day = getToken(param, ",", 2);
  year = getToken(param, ",", 3);

  text1.setAlpha(0);
  text1a.setAlpha(0);
  text2.setAlpha(0);
  text2a.setAlpha(0);
  text3.setAlpha(0);
  text3a.setAlpha(0);
  text1.setText("Breedart.org presents:");
  text2.setText("D-Reliction for Winamp");
  line = 2;

  text1.setTargetA(255);
  text1.setTargetSpeed(2);
  text2.setTargetA(255);
  text2.setTargetSpeed(2);
  text1.gotoTarget();
  text2.gotoTarget();
}

timer1.onTimer() {
  timer1.stop();

  if (text1.getAlpha() > 250) {
    text1.setTargetA(0);
    text1.setTargetSpeed(2);
    text1.gotoTarget();
  }
  if (text1a.getAlpha() > 250) {
    text1a.setTargetA(0);
    text1a.setTargetSpeed(2);
    text1a.gotoTarget();
  }
  if (text2.getAlpha() > 250) {
    text2.setTargetA(0);
    text2.setTargetSpeed(2);
    text2.gotoTarget();
  }
  if (text2a.getAlpha() > 250) {
    text2a.setTargetA(0);
    text2a.setTargetSpeed(2);
    text2a.gotoTarget();
  }
  if (text3.getAlpha() > 250) {
    text3.setTargetA(0);
    text3.setTargetSpeed(2);
    text3.gotoTarget();
  }
  if (text3a.getAlpha() > 250) {
    text3a.setTargetA(0);
    text3a.setTargetSpeed(2);
    text3a.gotoTarget();
  }

  if (line == 1) {
    text1.setText("Breedart.org presents:");
    text1.setTargetA(255);
    text1.setTargetSpeed(2);
    text2.setText("D-Reliction for Winamp");
    text2.setTargetA(255);
    text2.setTargetSpeed(2);
    text1.gotoTarget();
    text2.gotoTarget();
    line = 2;
  } else if (line == 2) {
    text3.setText("Concept: Kriptoner/Plague");
    text3.setTargetA(255);
    text3.setTargetSpeed(3);
    text3.gotoTarget();
    line = 3;
  } else if (line == 3) {
    text1.setText("Graphics: Kriptoner (kriptoner@kriptgfx.com)");
    text1.setTargetA(255);
    text1.setTargetSpeed(4);
    text2.setText("Code: Plague (linus.b@home.se)");
    text2.setTargetA(255);
    text2.setTargetSpeed(4);
    text1.gotoTarget();
    text2.gotoTarget();
    line = 4;
  } else if (line == 4) {
    text1a.setText("Current Version: " + version);
    text1a.setTargetA(255);
    text1a.setTargetSpeed(4);
    text2a.setText("Released: " + month + "/" + day + "/" + year);
    text2a.setTargetA(255);
    text2a.setTargetSpeed(4);
    text1a.gotoTarget();
    text2a.gotoTarget();
    line = 5;
  } else if (line == 5) {
    text1.setText("Additional Color themes:");
    text1.setTargetA(255);
    text1.setTargetSpeed(4);
    text2.setText("883, Blueballs, Frezorer, Merci oner, T-K.");
    text2.setTargetA(255);
    text2.setTargetSpeed(4);
    text1.gotoTarget();
    text2.gotoTarget();
    line = 6;
  } else if (line == 6) {
    text3.setText("Thanks (beta testing, ideas, support, feedback):");
    text3.setTargetA(255);
    text3.setTargetSpeed(4);
    text3.gotoTarget();
    line = 7;
  } else if (line == 7) {
    text3a.setText(":: breed :: (everyone for everything)");
    text3a.setTargetA(255);
    text3a.setTargetSpeed(4);
    text3a.gotoTarget();
    line = 8;
  } else if (line == 8) {
    text1.setText("883, Blueballs, Francis Gastellu, Frezorer, Intolerant,");
    text1.setTargetA(255);
    text1.setTargetSpeed(4);
    text2.setText("Jeff Shader, Merci oner, Monaux, Suer, T-K, Zkreso,");
    text2.setTargetA(255);
    text2.setTargetSpeed(4);
    text1.gotoTarget();
    text2.gotoTarget();
    line = 9;
  } else if (line == 9) {
    text3.setText("deviantart.com, winamp.com.");
    text3.setTargetA(255);
    text3.setTargetSpeed(4);
    text3.gotoTarget();
    line = 10;
  } else if (line == 10) {
    text1a.setText("http://www.kriptgfx.com");
    text1a.setTargetA(255);
    text1a.setTargetSpeed(4);
    text2a.setText("http://www.breedart.org");
    text2a.setTargetA(255);
    text2a.setTargetSpeed(4);
    text1a.gotoTarget();
    text2a.gotoTarget();
    line = 11;
  } else if (line == 11) {
    text3a.setText("");
    text3a.setTargetA(255);
    text3a.setTargetSpeed(3);
    text3a.gotoTarget();
    line = 1;
  }
}

text1.onTargetReached() {
  if (text1.getAlpha() == 255) timer1.start();
}

text1a.onTargetReached() {
  if (text1a.getAlpha() == 255) timer1.start();
}

text3.onTargetReached() {
  if (text3.getAlpha() == 255) timer1.start();
}

text3a.onTargetReached() {
  if (text3a.getAlpha() == 255) timer1.start();
}
