/*-----------------------------------------------------------------------------
  winshademenu.m

  by Plague (Linus Brolin)
-----------------------------------------------------------------------------*/

#include <lib/std.mi>

Global Container main;
Global Layout normal, baby, stick;
Global Button Winshade;
Global Popupmenu winshadeMenu;
Global Int choice;

System.onScriptUnloading() {
  delete winshadeMenu;
}

System.onScriptLoaded() {
  main = getContainer("main");
  normal = main.getLayout("normal");
  baby = main.getLayout("baby");
  stick = main.getLayout("stick");

  Group pgroup = getScriptGroup();
  Winshade = pgroup.findObject("Winshade");

  winshadeMenu = New PopupMenu;
  winshadeMenu.addCommand("Normal ",1,0,0);
  winshadeMenu.addCommand("Baby ",2,0,0);
  winshadeMenu.addCommand("Stick ",3,0,0);
}

Winshade.onRightButtonUp(int x, int y) {
  if (isObjectValid(normal)) winshadeMenu.checkCommand(1, normal.isVisible());
  if (isObjectValid(baby)) winshadeMenu.checkCommand(2, baby.isVisible());
  if (isObjectValid(stick)) winshadeMenu.checkCommand(3, stick.isVisible());
  choice = winshadeMenu.popAtMouse();

  if (choice == 1) main.switchToLayout("normal");
  else if (choice == 2) main.switchToLayout("baby");
  else if (choice == 3) main.switchToLayout("stick");
  Complete;
}
