// ****************************
// **    Old Winamp timer    **
// ****************************
// by Plague
// - brings back the old Winamp
//   timer [00:00] instead of
//   the new one [0:00]
//
// -Edited for a specific skin-
// - Now shows [000:00] instead

#include <lib/std.mi>

Function String oldTimer(int CurPos);

Global Timer tmrWait;
Global Text txtTimer;
Global Boolean MinusIsOn;

System.onScriptLoaded() {
  Group pgroup = getScriptGroup();

  txtTimer = pgroup.findObject("timer");

  tmrWait = new Timer;
  tmrWait.setDelay(20);

  MinusIsOn = getPrivateInt("D-Reliction", "Minus", 0);

  if (System.getStatus()==1) tmrWait.start();
}

System.onScriptUnloading() {
  tmrWait.stop();
  delete tmrWait;
}

System.onPlay() {
  tmrWait.start();
}

System.onStop() {
  tmrWait.stop();
  txtTimer.setText("");
}

tmrWait.onTimer() {
  MinusIsOn = getPrivateInt("D-Reliction", "Minus", 0);
  if (MinusIsOn) txtTimer.setText(oldTimer(getPlayItemLength()-getPosition()));
  else txtTimer.setText(oldTimer(getPosition()));
}

txtTimer.onLeftButtonDown(int x, int y) {
  MinusIsOn = !MinusIsOn;
  setPrivateInt("D-Reliction","Minus", MinusIsOn);
}

String oldTimer(int CurPos) {
  String SpecTmr = integerToTime(CurPos);

  if (strlen(SpecTmr)==4) SpecTmr = "00" + SpecTmr;
  else if (strlen(SpecTmr)==5) SpecTmr = "0" + SpecTmr;

  if (MinusIsOn) SpecTmr = "-" + SpecTmr;
  else SpecTmr = " " + SpecTmr;

  return SpecTmr;
}
